
Installer - Feature #24629

documentation about realm 

08/15/2018 07:36 PM - Anonymous

Status: Need more information   

Priority: Low   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.19.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On fresh install, enable Realm with the following options doesn't work :

--foreman-proxy-realm=true \

--foreman-proxy-realm-principal="myuser@$KERBEROS_REALM" \

--foreman-proxy-realm-provider=freeipa

 The smartproxy will start and will not find the keytab file, so this feature will be disabled. Still during installer run the call of refresh

features on the proxy will have as answer that realm is not enabled and the installer will fail.

Workaround : The keytab must be present at the expected location (/etc/foreman-proxy/freeipa.keytab by default) before running the

installer.

History

#1 - 08/16/2018 01:34 AM - Anonymous

- Project changed from Foreman to Installer

#2 - 04/23/2020 01:55 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Status changed from New to Need more information

- Triaged changed from No to Yes

I think from the installers perspective this is correct: it made the changes as expected, but then discovered it didn't work and correctly failed on it. I'm

not entirely sure what else you expected. The workaround you mentioned is the correct solution.
